<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <a class="navbar-brand" href="{{ path('homepage')}}">SymBNB !</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarColor01">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="{{ path('homepage')}}">Acceuil</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{{ path('ads_index')}}">Annonces</a>
            </li>
        </ul>
        <ul class="navbar-nav ml-auto">
            {% if app.user %}
                <li class="nav-item dropdown">
                    <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" id="accountDropdownLink">
                        <img src="{{app.user.picture}}" class="avatar avatar-mini" alt="Avatr de {{app.user.fullName}}">{{app.user.fullName}}
                    </a>

                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="accountDropdownLink">
                        <a href="{{path('ads_create')}}" class="dropdown-item">Créer une annonce</a>
                        <div class="dropdown-divider"></div>
                        <a href="{{path('account_index')}}" class="dropdown-item">Mon compte</a>
                        <a href="{{path('account_bookings')}}" class="dropdown-item">Mes réservations</a>
                         <a href="{{path('account_profile')}}" class="dropdown-item">Modifier mon profil</a>
                        <div class="dropdown-divider"></div>
                        <a href="{{path('account_logout')}}" class="dropdown-item">Déconnexion</a>
                    </div>
                </li>
            {% else %}
                 <li class="nav-item">
                    <a href="{{ path('account_register') }}" class="nav-link">Inscription</a>
                </li>
                 <li class="nav-item">
                    <a href="{{ path('account_login') }}" class="nav-link">Connexion</a>
                </li>
            {% endif %}
        </ul>
    </div>
</nav>


    {% for label, messages in app.flashes %}
        <div class="container">
            <div class="alert alert-{{ label }}">
                {% for message in messages %}
                    <p>{{ message | raw }}</p>
                {% endfor %}
            </div>
        </div>
    {% endfor %}